summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Wayne Cuddy <wcuddy@gmail.com>2018-09-27 09:07:50 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-09-29 07:47:41 +0700
commit58bed4d5fbbdebf4005a88036dc983e49a5e00ac (patch)
treef17daeb3f943ea53699293e855d6abd300efe0a7 /graphics
parent1164c3b6e29d0217cb466ce64c0e4a4c711b6b56 (diff)
downloadslackbuilds-58bed4d5fbbdebf4005a88036dc983e49a5e00ac.tar.gz
slackbuilds-58bed4d5fbbdebf4005a88036dc983e49a5e00ac.tar.xz
graphics/draw.io: Added (powerful diagram editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/draw.io/README4
-rw-r--r--graphics/draw.io/draw.io.SlackBuild64
-rw-r--r--graphics/draw.io/draw.io.info10
-rw-r--r--graphics/draw.io/slack-desc20
4 files changed, 98 insertions, 0 deletions
diff --git a/graphics/draw.io/README b/graphics/draw.io/README
new file mode 100644
index 0000000000..b752fd5a76
--- /dev/null
+++ b/graphics/draw.io/README
@@ -0,0 +1,4 @@
+High quality drawing, flowchart and presentation editor.
+
+This script builds a Slackware package from the prebuilt draw.io RPM
+package.
diff --git a/graphics/draw.io/draw.io.SlackBuild b/graphics/draw.io/draw.io.SlackBuild
new file mode 100644
index 0000000000..ce83542706
--- /dev/null
+++ b/graphics/draw.io/draw.io.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for draw.io
+
+# Copyright 2018 Wayne Cuddy, Virginia, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=draw.io
+VERSION=${VERSION:-8.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+ARCH=x86_64
+
+case "$(uname -m)" in
+ $ARCH) ;;
+ *)
+ echo "$PRGNAM package only supported on the x86_64 architecture" >&2
+ exit 1
+ ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+
+rpm2cpio $CWD/$PRGNAM-$ARCH-$VERSION.rpm | cpio -vdium
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp opt/draw.io/LICENSES.chromium.html $PKG/usr/doc/$PRGNAM-$VERSION
+cp opt/draw.io/LICENSE.electron.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/draw.io/draw.io.info b/graphics/draw.io/draw.io.info
new file mode 100644
index 0000000000..9e62269e39
--- /dev/null
+++ b/graphics/draw.io/draw.io.info
@@ -0,0 +1,10 @@
+PRGNAM="draw.io"
+VERSION="8.8.0"
+HOMEPAGE="http://www.draw.io"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/jgraph/drawio-desktop/releases/download/v8.8.0/draw.io-x86_64-8.8.0.rpm"
+MD5SUM_x86_64="7491a282f4c514314672bd65d0f4133e"
+REQUIRES=""
+MAINTAINER="Wayne Cuddy"
+EMAIL="wcuddy@gmail.com"
diff --git a/graphics/draw.io/slack-desc b/graphics/draw.io/slack-desc
new file mode 100644
index 0000000000..613e950034
--- /dev/null
+++ b/graphics/draw.io/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+draw.io: draw.io (powerful diagram editor)
+draw.io:
+draw.io: Easy to use diagram editor that can create flowcharts, process
+draw.io: diagrams, org charts, UML, ER diagrams, network diagrams and much
+draw.io: more.
+draw.io:
+draw.io: Supports on-line integration with Google Drive, GitHub, Dropbox,
+draw.io: OneDrive and Trello. Supports exporting diagrams to several popular
+draw.io: formats. Can be used online at http://www.draw.io or offline using
+draw.io: this package.
+draw.io:
+draw.io: